rte_ib_bth(3)

NAME
rte_ib_bth

SYNOPSIS

#include <rte_ib.h>

  Data Fields

uint8_t opcode
uint8_t tver:4
uint8_t padcnt:2
uint8_t m:1
uint8_t se:1
rte_be16_t pkey
uint8_t rsvd0:6
uint8_t b:1
uint8_t f:1
uint8_t dst_qp [3]
uint8_t rsvd1:7
uint8_t a:1
uint8_t psn [3]

Detailed Description

InfiniBand Base Transport Header according to IB Specification Vol 1-Release-1.4.

Definition at line 25 of file rte_ib.h.

Field Documentation

  uint8_t opcode
Opcode.

Definition at line 26 of file rte_ib.h.

  uint8_t tver
Transport Header Version.

Definition at line 28 of file rte_ib.h.

  uint8_t padcnt
Pad Count.

Definition at line 29 of file rte_ib.h.

  uint8_t m
MigReq.

Definition at line 30 of file rte_ib.h.

  uint8_t se
Solicited Event.

Definition at line 31 of file rte_ib.h.

  rte_be16_t pkey
Partition key.

Definition at line 38 of file rte_ib.h.

  uint8_t rsvd0
Reserved.

Definition at line 40 of file rte_ib.h.

  uint8_t b
BECN.

Definition at line 41 of file rte_ib.h.

  uint8_t f
FECN.

Definition at line 42 of file rte_ib.h.

  uint8_t dst_qp[3]
Destination QP

Definition at line 48 of file rte_ib.h.

  uint8_t rsvd1
Reserved.

Definition at line 50 of file rte_ib.h.

  uint8_t a
Acknowledge Request.

Definition at line 51 of file rte_ib.h.

  uint8_t psn[3]
Packet Sequence Number

Definition at line 56 of file rte_ib.h.

Author

Generated automatically by Doxygen for DPDK from the source code.